#### D.13.2.38 semigroupGenerator

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  semigroupGenerator(c); c cone

Return:
  bigintmat, the generator of Z^n intersected with c modulo Z^n intersected with the lineality space of c

Assume:
  dimension(c) == linealityDimension(c)+1

Example:

    LIB "gfan.lib";
    intmat M[3][2]=
    1,0,
    0,1,
    -1,0;
    cone c=coneViaPoints(M);
    semigroupGenerator(c);
    ==> 0,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.